Đến nội dung


Hình ảnh

Hỏi về lệnh hiện layer


  • Please log in to reply
6 replies to this topic

#1 hugo007

hugo007

    biết lệnh erase

  • Members
  • PipPipPip
  • 103 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 12 October 2009 - 09:51 PM

Các bạn cho mình hỏi khi trong bản vẽ có nhiều layer,vậy dùng lênh nào để khi chọn layer đó thì tất cả layer khác đều tắt chỉ còn mỗi layer mình vừa chọn.Thanks.
  • 0

#2 xedaptan

xedaptan

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 12 October 2009 - 10:10 PM

Các bạn cho mình hỏi khi trong bản vẽ có nhiều layer,vậy dùng lênh nào để khi chọn layer đó thì tất cả layer khác đều tắt chỉ còn mỗi layer mình vừa chọn.Thanks.

Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!
  • 1

#3 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1860 Bài viết
Điểm đánh giá: 1120 (rất tốt)

Đã gửi 12 October 2009 - 10:18 PM

Các bạn cho mình hỏi khi trong bản vẽ có nhiều layer,vậy dùng lênh nào để khi chọn layer đó thì tất cả layer khác đều tắt chỉ còn mỗi layer mình vừa chọn.Thanks.



Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

CAD 2004 thì dùng lisp này: lệnh là LAI
;;; =========================== Layer Iso ===================================
(Defun LAYISO (/ SS CNT LAY LAYLST VAL) (setvar "cmdecho" 0)
(if (not (setq SS (ssget "i"))) (progn
(prompt "\nChon doi tuong tren layer(s) muon lam viec doc lap: ")
(setq SS (ssget)) ) )
(if SS (progn (setq CNT 0)
(while (setq LAY (ssname SS CNT))
(setq LAY (cdr (assoc 8 (entget LAY))))
(if (not (member LAY LAYLST))
(setq LAYLST (cons LAY LAYLST)) )
(setq CNT (1+ CNT)) )
(if (member (getvar "CLAYER") LAYLST)
(setq LAY (getvar "CLAYER"))
(setvar "CLAYER" (setq LAY (last LAYLST))) )
(command "_.LAYER" "_OFF" "*" "_Y")
(foreach VAL LAYLST (command "_ON" VAL))
(command "") (if (= (length LAYLST) 1)
(prompt (strcat "\nLayer " (car LAYLST) " da tach ra."))
(prompt (strcat "\n" (itoa (length LAYLST)) " layers da tach ra. "
"Layer " LAY " la hien hanh." ) ) ) ) ) (princ) )
(defun c:LAYISO () (layiso)) (defun c:LAI () (layiso))

  • 1

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 13 October 2009 - 05:21 AM

Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

Bạn sử dụng từ chắc chắn coi bộ hơi vội vàng. Nó đây :
Hình đã gửi
  • 2

#5 790312

790312

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 204 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 14 October 2009 - 10:49 AM

Bạn dùng lệnh layiso.Cách làm:Layiso=>chọn layer cần giữ=>ok!Nhưng bạn dùng cad mấy đấy.Cad 2004 chắc chắn không có đâu bạn nhé!

khi sử dụng layiso rồi muốn mở các layer khác lên lại như lúc đầu thì dùng lệnh nào?Thanks
  • 0

#6 dkkx3a

dkkx3a

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 14 October 2009 - 11:19 AM

khi sử dụng layiso rồi muốn mở các layer khác lên lại như lúc đầu thì dùng lệnh nào?Thanks




LAYON..............
  • 0
TỰ SỰ
Biển vào chiều buồn giữa cô liêu
Sóng vỗ bờ bạc đầu con nước
Khi biển động như lòng ta chợt động
Biển ồn ào nhưng thực rất dịu êm.......

#7 master_worse

master_worse

    biết lệnh offset

  • Advance Member
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 87 (tàm tạm)

Đã gửi 14 October 2009 - 11:26 AM

khi sử dụng layiso rồi muốn mở các layer khác lên lại như lúc đầu thì dùng lệnh nào?Thanks

Nếu sử dụng lệnh layiso rồi muốn mở các layer khác lên lại như lúc đầu thì nên dùng lệnh này LAYUNISO
  • 0

Ngu dốt không đáng thẹn bằng thiếu ý chí học hỏi


Tri thức làm người ta khiêm tốn, ngu si làm người ta kiêu ngạo (Ngạn ngữ Anh)